Package com.google.earth.kml._2

# Class ItemIconType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.ItemIconType

public class ItemIconType extends ObjectType
<p>Java class for ItemIconType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ItemIconType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <sequence> <element name="state" type="{http://earth.google.com/kml/2.1}itemIconStateType" maxOccurs="unbounded" minOccurs="0"/> <element name="href" type="{http://www.w3.org/2001/XMLSchema}anyURI"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `href`
  `protected List<jakarta.xml.bind.JAXBElement<List<ItemIconStateEnum>>>`
  `state`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemIconType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHref()`
  Gets the value of the href property.
  `List<jakarta.xml.bind.JAXBElement<List<ItemIconStateEnum>>>`
  `getState()`
  Gets the value of the state property.
  `void`
  `setHref(String value)`
  Sets the value of the href property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### state

    protected List<jakarta.xml.bind.JAXBElement<List<ItemIconStateEnum>>> state

  - ### href

    protected String href

- ## Constructor Details

  - ### ItemIconType

    public ItemIconType()

- ## Method Details

  - ### getState

    public List<jakarta.xml.bind.JAXBElement<List<ItemIconStateEnum>>> getState()
    Gets the value of the state property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the state property.

    For example, to add a new item, do as follows:

         getState().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``List``<``ItemIconStateEnum``>``>`

    Returns:
      The value of the state property.

  - ### getHref

    public String getHref()
    Gets the value of the href property.
    Returns:
      possible object is `String`

  - ### setHref

    public void setHref(String value)
    Sets the value of the href property.
    Parameters:
      `value` - allowed object is `String`